#                                               -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.

AC_PREREQ(2.59)
AC_INIT(pidgin-audacioius, 2.0.0, yaz@honeyplanet.jp)
AC_CONFIG_SRCDIR([pidgin-audacious.c])

# Checks for programs.
AC_PROG_CC
AC_PROG_INSTALL

# Checks for libraries.
PKG_CHECK_MODULES(AUDACIOUS, [audacious >= 1.4.0], , [
        AC_MSG_RESULT(no)
        AC_MSG_ERROR([

You must have audacious >= 1.4.0 development headers installed to build.
])])
AUD_CFLAGS=`pkg-config --cflags audacious 2> /dev/null`
AUD_LIBS=`pkg-config --libs audacious 2> /dev/null`
AUD_LIB_DIR=`pkg-config --variable=lib_dir audacious 2> /dev/null`
AC_SUBST(AUD_CFLAGS)
AC_SUBST(AUD_LIBS)
AC_SUBST(AUD_LIB_DIR)

PKG_CHECK_MODULES(PIDGIN, [pidgin >= 2.0.0], , [
        AC_MSG_RESULT(no)
        AC_MSG_ERROR([

You must have pidgin >= 2.0.0 development headers installed to build.
])])
PIDGIN_CFLAGS=`pkg-config --cflags pidgin 2> /dev/null`
PIDGIN_LIBS=`pkg-config --libs pidgin 2> /dev/null`
PIDGIN_LIB_DIR=`pkg-config --variable=libdir pidgin 2> /dev/null`
AC_SUBST(PIDGIN_CFLAGS)
AC_SUBST(PIDGIN_LIBS)
AC_SUBST(PIDGIN_LIB_DIR)

PKG_CHECK_MODULES(DBUSGLIB, [dbus-glib-1 >= 0.72], , [
        AC_MSG_RESULT(no)
        AC_MSG_ERROR([

You must have dbus-glib-1 >= 0.72 development headers installed to build.
])])
DBUS_GLIB_CFLAGS=`pkg-config --cflags dbus-glib-1`
DBUS_GLIB_LIBS=`pkg-config --libs dbus-glib-1`
DBUS_GLIB_LIB_DIR=`pkg-config --variable=libdir dbus-glib-1`
AC_SUBST(DBUS_GLIB_CFLAGS)
AC_SUBST(DBUS_GLIB_LIBS)
AC_SUBST(DBUS_GLIB_LIB_DIR)

# Checks for header files.
AC_HEADER_STDC
AC_CHECK_HEADERS([stdlib.h string.h])

# Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST

# Checks for library functions.
AC_CHECK_FUNCS([strstr])

#AC_CONFIG_FILES([Makefile])
AC_OUTPUT(Makefile)
